Package net.shibboleth.shared.security

# Interface AccessControlService

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `InitializableComponent`, `UnmodifiableComponent`

All Known Implementing Classes:
  `BasicAccessControlService`, `DelegatingAccessControlService`, `ReloadingAccessControlService`, `ServiceableAccessControlService`

@ThreadSafe public interface AccessControlService extends InitializableComponent, IdentifiedComponent, UnmodifiableComponent
A component that supplies `AccessControl` instances identified by a policy name.

Policy names are an abstraction that can be used in a component's configuration to indicate which access control configuration to apply, creating a layer of indirection so that policies can be reused across components.

## Method Summary

Modifier and Type
Method
Description
`AccessControl`
`getInstance(String name)`
Get an `AccessControl` instance matching a given name.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Method Details

### getInstance

@Nonnull AccessControl getInstance(@Nonnull String name)
Get an `AccessControl` instance matching a given name.

In the absence of a matching instance, a default policy that denies access is returned.

Parameters:
  `name` - policy name
Returns:
  the matching instance, or a default